package ru.mike.downloaderbot.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.UUID;

@Entity
@Table(name = "link_data")
@NoArgsConstructor
@Getter
@Builder
@AllArgsConstructor
public class LinkData {
    @Id
    private UUID id;

    @Column(name = "resource_link")
    private String resourceLink;

    @Column(name = "bot_link")
    private String botLink;

    /**
     * Имя канала, с которого пришел пользователь по ссылке {@link LinkData#botLink}
     */
    @Column(name = "channel_name")
    private String channelName;
}
