package ru.mike.downloaderbot.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import ru.mike.downloaderbot.domain.Channel;
import ru.mike.downloaderbot.repository.ChannelRepository;

import java.util.List;
import java.util.UUID;

@Service
public class ChannelService {
    @Autowired
    private ChannelRepository channelRepository;

    @Transactional
    public void deleteAllByRuleId(UUID id) {
        channelRepository.deleteAllByRuleId(id);
    }

    @Transactional(readOnly = true)
    public List<Channel> findAllByRuleId(UUID id) {
        return channelRepository.findAllByRuleId(id);
    }
}
