package ru.mike.downloaderbot.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import ru.mike.downloaderbot.domain.LinkData;
import ru.mike.downloaderbot.repository.LinkDataRepository;

import java.util.Optional;
import java.util.UUID;

@Service
public class LinkDataService {
    public static final String BOT_LINK_PREFIX = "https://t.me/new_downloaderx_bot";
    @Autowired
    private LinkDataRepository linkDataRepository;

    @Transactional
    public LinkData createLinkData(String linkText, String channelName) {
        UUID linkId = UUID.randomUUID();
        LinkData linkData = LinkData.builder()
                .id(linkId)
                .resourceLink(linkText)
                .botLink(BOT_LINK_PREFIX + "?start=" + linkId)
                .channelName(channelName)
                .build();

        return linkDataRepository.save(linkData);
    }

    public Optional<LinkData> findById(UUID linkId) {
        return linkDataRepository.findById(linkId);
    }
}
